Package fr.gouv.vitam.common.model.processing

# Enum Class StatusAggregationBehavior

java.lang.Object
java.lang.Enum<StatusAggregationBehavior>
fr.gouv.vitam.common.model.processing.StatusAggregationBehavior

All Implemented Interfaces:
  `Serializable`, `Comparable<StatusAggregationBehavior>`, `Constable`

public enum StatusAggregationBehavior extends Enum<StatusAggregationBehavior>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `KO_CAUSES_WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StatusAggregationBehavior`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StatusAggregationBehavior[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final StatusAggregationBehavior DEFAULT

  - ### KO_CAUSES_WARNING

    public static final StatusAggregationBehavior KO_CAUSES_WARNING

- ## Method Details

  - ### values

    public static StatusAggregationBehavior[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StatusAggregationBehavior valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null